<?php

return [

    'event'=>[

        'null'=>[

            'name'=>'无事件',

            'list'=>'null',

        ],

        'goods'=>[//跳转商品 key （produce）为协议类型

            'name'=>'跳转商品',

            'list'=>function(){

                $list = \Modules\Project\Entities\Goods::all();

                $res = [];

                foreach($list as $v){

                    $res[$v['id']] = $v['title'];

                }

                return $res;

            },

        ],

        'activity'=>[

            'name'=>'跳转活动',

            'list'=>function(){

                $list = \Modules\Base\Entities\Activity::all();

                $res = [];

                foreach($list as $v){

                    $res[$v['id']] = $v['title'];

                }

                return $res;

            },

        ],
            /*
             *
        'goods_caregory'=>[//跳转商品 key （produce）为协议类型

            'name'=>'跳转商品分类',

            'list'=>function(){

                $res = \Modules\Project\Entities\Goods::formatTreeToSelect(\Modules\Project\Entities\Goods::category()->get()->toTree());

                return $res;

            },

        ],



        'custom'=>[//事件类型 自定义

            'name'=>'其他事件',

            'list'=>[

                'me'=>'打开个人中心',

                'mail'=>'验证邮箱',

                'mobile'=>'验证手机号',

                'share'=>'分享',

            ]

        ],

        'activity'=>[

            'name'=>'活动',

            'list'=>function(){

                return [

                    '1'=>'活动1',

                    '2'=>'活动2',

                    '3'=>'活动3',

                    '4'=>'活动4',

                ];

            },

        ],

         'http'=>[

            'name'=>'链接',

            //无list 则为后台输入框输入

        ],

        */

    ]


];
